// creator  : weidu.exe (version 23100)
// argument : X#KARRIS.DLG
// game		 : .
// source	 : ./override/X#KARRIS.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~X#KARRIS~

IF ~~ THEN BEGIN 0 // from: 8.0 7.0
  SAY #101046 /* ~That's right. I'm not.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 1 // from: 8.1 7.1
  SAY #101047 /* ~Are you a slow learner?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 8.2 7.2
  SAY #101048 /* ~Never heard of him.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 8.4 8.3
  SAY #55109 /* ~Suit yourself.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 8.5
  SAY #101049 /* ~If you say so.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("X#TiaxQuest","GLOBAL",3)
~ THEN BEGIN 5 // from:
  SAY #101050 /* ~Hail, friends! You've the look of adventurers or mercenaries about you. Well met! My name is Karris, recently of Amn. Who are you, if you don't mind me asking?~ */
  IF ~~ THEN REPLY #101056 /* ~Hail, Karris! My name is <CHARNAME>, recently of CandleKeep. I believe we may have an issue to discuss.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",4)
~ GOTO 6
  IF ~~ THEN REPLY #101057 /* ~I'm afraid I must skip the pleasantries, Karris. We have an important issue to discuss.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",4)
~ GOTO 6
  IF ~~ THEN REPLY #101058 /* ~I do mind you asking. I have no intentions of revealing my name to a lowly thug for hire.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",4)
~ GOTO 9
  IF ~~ THEN REPLY #101059 /* ~I have come to collect the bounty for killing Belgin. I did the deed myself. I guess he was a little worried about you capturing him - he died easily enough.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",4)
~ GOTO 19
  IF ~~ THEN REPLY #101060 /* ~Sorry, Karris, but we have more important things to do than chat with our victims. It's time for you to die.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",4)
~ GOTO 10
  IF ~  ReputationLT(Player1,15)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSHART~ 252
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXZAR~ 279
  IF ~  ReputationLT(Player1,15)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BVICON~ 265
  IF ~  ReputationGT(Player1,14)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSHART~ 251
  IF ~  ReputationGT(Player1,14)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BVICON~ 264
END

IF ~~ THEN BEGIN 6 // from: 7.3 5.1 5.0
  SAY #101061 /* ~An issue? Very well, then. Speak your mind.~ */
  IF ~~ THEN REPLY #101064 /* ~We've sought you out on the behalf of a gnome named Belgin, who you are pursuing unjustly. He commited no crime, and we can prove it.~ */ GOTO 11
  IF ~~ THEN REPLY #101065 /* ~We're here on the behalf of Belgin, the gnome you've hounded and tormented. We suggest you leave him be. He didn't commit the crime he is accused of, and we can prove it.~ */ GOTO 11
  IF ~~ THEN REPLY #101066 /* ~Forget it. The more I think about it, the less I want to get involved in this whole mess.~ */ GOTO 13
  IF ~~ THEN REPLY #101067 /* ~We've discovered the whereabouts of the gnome you've been hunting. In exchange for a little gold on the side, we can tell you where he is. And in exchange for a little more gold, you will find only a body.~ */ GOTO 19
  IF ~~ THEN REPLY #101068 /* ~In exchange for a little gold on the side, we can tell you where the gnome you've been hunting is hiding.~ */ GOTO 14
  IF ~~ THEN REPLY #101069 /* ~We've sought you out to ask how you would like to spend your final minutes on this world. Would you prefer screaming as we gut you alive, or flailing about shrieking as we set you ablaze?~ */ GOTO 10
  IF ~  ReputationLT(Player1,15)
InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
InParty("montaron")
InMyArea("montaron")
!StateCheck("montaron",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BMONTA~ 266
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXZAR~ 280
END

IF ~  Global("X#TiaxQuest","GLOBAL",4)
~ THEN BEGIN 7 // from:
  SAY #101070 /* ~Yes? What is it now?~ */
  IF ~  Global("X#KarrisFirst","GLOBAL",0)
~ THEN REPLY #101071 /* ~Well, I was going to say you were cute and offer to buy you a round, but obviously you are not interested.~ */ DO ~SetGlobal("X#KarrisFirst","GLOBAL",1)
~ GOTO 0
  IF ~  Global("X#KarrisFirst","GLOBAL",1)
~ THEN REPLY #101072 /* ~Hmmm... that's what you said last time.~ */ DO ~SetGlobal("X#KarrisFirst","GLOBAL",2)
~ GOTO 1
  IF ~  Global("X#KarrisFirst","GLOBAL",2)
~ THEN REPLY #101073 /* ~Yep, very repetitive. Are you a relative of a guy named "Noober"?~ */ DO ~SetGlobal("X#KarrisFirst","GLOBAL",3)
~ GOTO 2
  IF ~~ THEN REPLY #101074 /* ~We have an unfinished issue to discuss, I'm afraid.~ */ GOTO 6
  IF ~~ THEN REPLY #101075 /* ~We've come to offer you information on the whereabouts of your prey, Belgin. For a little compensation, of course.~ */ GOTO 14
  IF ~~ THEN REPLY #101076 /* ~So sorry, but we've come to kill you. I'd suggest standing still. It will be a lot less messy that way, and the Innkeep might complain if we get blood on his nice clean floor.~ */ GOTO 10
END

IF ~  GlobalLT("X#TiaxQuest","GLOBAL",3)
~ THEN BEGIN 8 // from:
  SAY #101077 /* ~Hail, adventurer. I am busy right now. After we have settled ourselves, I will gladly speak with you.~ */
  IF ~  Global("X#KarrisFirst","GLOBAL",0)
~ THEN REPLY #101071 /* ~Well, I was going to say you were cute and offer to buy you a round, but obviously you are not interested.~ */ DO ~SetGlobal("X#KarrisFirst","GLOBAL",1)
~ GOTO 0
  IF ~  Global("X#KarrisFirst","GLOBAL",1)
~ THEN REPLY #101072 /* ~Hmmm... that's what you said last time.~ */ DO ~SetGlobal("X#KarrisFirst","GLOBAL",2)
~ GOTO 1
  IF ~  Global("X#KarrisFirst","GLOBAL",2)
~ THEN REPLY #101073 /* ~Yep, very repetitive. Are you a relative of a guy named "Noober"?~ */ DO ~SetGlobal("X#KarrisFirst","GLOBAL",3)
~ GOTO 2
  IF ~~ THEN REPLY #101078 /* ~Fair enough. We will be around Baldur's Gate for a few days, but will check back in later.~ */ GOTO 3
  IF ~~ THEN REPLY #101079 /* ~No chance. We are headed out of Baldur's Gate for adventure. ~ */ GOTO 3
  IF ~~ THEN REPLY #101080 /* ~I will be back. Perhaps you would be less dismissive if you realized that I can drop you where you stand without breaking a sweat.~ */ GOTO 4
END

IF ~~ THEN BEGIN 9 // from: 5.2
  SAY #101081 /* ~If that's how you wish it to be, then so be it. Good day and goodbye.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 20.2 19.0 16.4 15.4 12.3 7.5 6.5 5.4
  SAY #101082 /* ~To arms, friends! We have berserkers in our midst!~ */
  IF ~~ THEN DO ~ActionOverride("X#KARRIS",Enemy())
ActionOverride("X#TQBH1",Enemy())
ActionOverride("X#TQBH2",Enemy())
ActionOverride("X#TQBH3",Enemy())
ActionOverride("X#TQBH4",Enemy())
SetGlobal("X#TiaxQuestBattle","GLOBAL",1)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101090 /* ~I met the bounty hunters tracking Karris and attacked them. I doubt Belgin will be happy, but I felt it was an appropriate solution.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSHART~ 253
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BVICON~ 266
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BTIAX~ 296
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BEDWIN~ 311
  IF ~  InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BQUAYL~ 278
  IF ~  InParty("montaron")
InMyArea("montaron")
!StateCheck("montaron",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BMONTA~ 267
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXZAR~ 281
END

IF ~~ THEN BEGIN 11 // from: 6.1 6.0
  SAY #101091 /* ~So, you know why we're here, then. My apologies, but our duty is clear. Belgin was given charge of an apprentice, and was responsible for his safety. There is no proof, as of yet, that he murdered his charge, but nonetheless the untimely disappearance of Telliax warrants enough suspicion that Belgin must be brought back to Athkatla for questioning.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #101092 /* ~Telliax's father was very clear on the matter. We are not to harm Belgin, but neither can we allow him to walk away untouched from what appears to be cold-blooded murder.~ */
  IF ~~ THEN REPLY #101093 /* ~Belgin never harmed Telliax. In fact, no one did. He's perfectly fine physically, if a bit insane.~ */ GOTO 15
  IF ~~ THEN REPLY #101094 /* ~This is lunacy. Telliax isn't dead. He's perfectly fine, aside from his insanity.~ */ GOTO 15
  IF ~~ THEN REPLY #101095 /* ~Well, I tried my best. Since you intend to continue your hunt, how about we lead you to your quarry in exchange for some gold?~ */ GOTO 14
  IF ~~ THEN REPLY #101096 /* ~I tried to make you see reason, but obviously some people only understand the edge of a sword. Time to die, Karris.~ */ GOTO 10
  IF ~~ THEN REPLY #101097 /* ~You may be required to wait for trial, but I am not. Perhaps you could hire us to take care of your problem - a subcontract, without having to pay any guild fees?~ */ GOTO 19
  IF ~~ THEN REPLY #101098 /* ~I am afraid you will be wasting your time. Belgin has been killed.~ */ GOTO 19
END

IF ~~ THEN BEGIN 13 // from: 19.3 14.2 6.2
  SAY #101099 /* ~Very well then, I suppose. Good day to you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 19.1 16.5 16.2 15.5 15.2 12.2 7.4 6.4
  SAY #101100 /* ~You know Belgin's location!? Ah, that will save us much time and effort! He's been astonishingly elusive prey. I'll tell you what: I'll give you 1500 gold in exchange for all you know. It's quite a sum for merely giving us a location, I'm sure you'll agree. Take it or leave it. I don't have the time or the inclination to haggle.~ */
  IF ~~ THEN REPLY #101107 /* ~We could always remove the problem for you, for perhaps 2000 gold? The Guild would charge far more...~ */ GOTO 19
  IF ~~ THEN REPLY #101108 /* ~I'll take it! Go to the Helm and Cloak. He's waiting for news of our success there.~ */ GOTO 17
  IF ~~ THEN REPLY #101109 /* ~I'll leave it. Goodbye, Karris. Have fun scouring the city.~ */ GOTO 13
  IF ~  InParty("tiax")
~ THEN REPLY #101110 /* ~Look,this is silly. Tiax, err... I mean "Telliax," is definitely, completely, thoroughly alive. And very, very annoying.~ */ GOTO 15
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BELDOT~ 370
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSKIE~ 387
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BFALDO~ 333
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BEDWIN~ 312
  IF ~  InParty("safana")
InMyArea("safana")
!StateCheck("safana",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSAFAN~ 236
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXZAR~ 282
END

IF ~~ THEN BEGIN 15 // from: 19.2 14.3 12.1 12.0
  SAY #101111 /* ~I am sorry, but I'll require something more substantial than your word. If Telliax is indeed still alive, bring him to me. He's been described in careful detail by his father. Until then, we have nothing to talk about.~ */
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101114 /* ~Alas, he seems to have suffered some sort of unknown trauma. When we discovered him, he was babbling about conquering the world in the name of Cyric.~ */ GOTO 18
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101115 /* ~I told you he was insane. I don't know what happened to him, but you have your proof. He's obviously still breathing.~ */ GOTO 20
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101116 /* ~No, I'm afraid this gnome isn't the same one you're looking for. This is Tiax, not Telliax. Now, how much would you pay me to lead you to Belgin?~ */ GOTO 14
  IF ~  OR(3)
!InParty("tiax")
!InMyArea("tiax")
StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101117 /* ~We will have to get proof for you , I suppose... I believe I know where we can find Tiax... err, I mean "Telliax"... we will have him join us and will return.~ */ EXIT
  IF ~  OR(3)
!InParty("tiax")
!InMyArea("tiax")
StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101118 /* ~Are you questioning my word? Many have died for much lesser offences.~ */ GOTO 10
  IF ~  OR(3)
!InParty("tiax")
!InMyArea("tiax")
StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101119 /* ~Perhaps just information will help you. We do know Belgin's current location.~ */ GOTO 14
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN GOTO 16
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN EXTERN ~_TIAXJ~ 49
END

IF ~~ THEN BEGIN 16 // from: 15.6
  SAY #101113 /* ~It can't be! By the gods, you mean to say *this* is our employer's son, Telliax!? What's happened to him? The description matches, though he appears a bit more... unkempt than I would have imagined for a rich merchant's son.~ */
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101114 /* ~Alas, he seems to have suffered some sort of unknown trauma. When we discovered him, he was babbling about conquering the world in the name of Cyric.~ */ GOTO 18
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101115 /* ~I told you he was insane. I don't know what happened to him, but you have your proof. He's obviously still breathing.~ */ GOTO 20
  IF ~  InParty("tiax")
InMyArea("tiax")
!StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101116 /* ~No, I'm afraid this gnome isn't the same one you're looking for. This is Tiax, not Telliax. Now, how much would you pay me to lead you to Belgin?~ */ GOTO 14
  IF ~  OR(3)
!InParty("tiax")
!InMyArea("tiax")
StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101117 /* ~We will have to get proof for you , I suppose... I believe I know where we can find Tiax... err, I mean "Telliax"... we will have him join us and will return.~ */ EXIT
  IF ~  OR(3)
!InParty("tiax")
!InMyArea("tiax")
StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101118 /* ~Are you questioning my word? Many have died for much lesser offences.~ */ GOTO 10
  IF ~  OR(3)
!InParty("tiax")
!InMyArea("tiax")
StateCheck("tiax",CD_STATE_NOTVALID)
~ THEN REPLY #101119 /* ~Perhaps just information will help you. We do know Belgin's current location.~ */ GOTO 14
END

IF ~~ THEN BEGIN 17 // from: 14.1
  SAY #101120 /* ~You have done a noble thing this day. If he is where you say, we shall bring him to justice, though if he isn't, be sure that we'll be seeing each other again to discuss my refund. Come, friends, our quarry awaits!~ */
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",0)
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#BelginPlacement","GLOBAL",11)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
GiveGoldForce(1500)
~ JOURNAL #101122 /* ~Bounty Hunters Again

I met the bounty hunters who were tracking Belgin, but they offered us a better deal so I told them where Belgin was hiding out. I profited nicely from the deal! Hopefully they'll hang Belgin before anyone in Amn can learn the truth.~ */ EXIT
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",0)
~ THEN REPLY #69534 /* ~Goodbye.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#BelginPlacement","GLOBAL",11)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
GiveGoldForce(1500)
~ JOURNAL #101122 /* ~Bounty Hunters Again

I met the bounty hunters who were tracking Belgin, but they offered us a better deal so I told them where Belgin was hiding out. I profited nicely from the deal! Hopefully they'll hang Belgin before anyone in Amn can learn the truth.~ */ EXIT
  IF ~  Dead("x#belgin")
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#BelginPlacement","GLOBAL",11)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
GiveGoldForce(1500)
~ JOURNAL #101123 /* ~Bounty Hunters Again

I met the bounty hunters who were tracking Belgin, and we tricked them into paying for a corpse. I told them where Belgin was "hiding out". I profited nicely from the deal! Hopefully they'll head back to Amn before we encounter them again, but if not, we will add their corpses to that of Belgin.~ */ EXIT
  IF ~  Dead("x#belgin")
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#BelginPlacement","GLOBAL",11)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
GiveGoldForce(1500)
~ JOURNAL #69534 /* ~Goodbye.~ */ EXIT
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",1)
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#BelginPlacement","GLOBAL",11)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
GiveGoldForce(1500)
~ JOURNAL #101124 /* ~Bounty Hunters Again

I met the bounty hunters who were tracking Belgin, told them where Belgin was hiding out. I profited nicely from this deal! Belgin pays, the bounty hunters pay, and hopefully they'll hang Belgin before anyone in Amn can learn the truth.~ */ EXIT
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",1)
~ THEN REPLY #69534 /* ~Goodbye.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#BelginPlacement","GLOBAL",11)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
GiveGoldForce(1500)
~ JOURNAL #101124 /* ~Bounty Hunters Again

I met the bounty hunters who were tracking Belgin, told them where Belgin was hiding out. I profited nicely from this deal! Belgin pays, the bounty hunters pay, and hopefully they'll hang Belgin before anyone in Amn can learn the truth.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: 16.0 15.0
  SAY #101125 /* ~Cyric!? Conquering the world!? Something must have changed him greatly indeed! Nevertheless, it's a mystery that can be solved another time. For now, our hunt has been in vain, for our target is innocent. We shall return to Amn and report on this to Telliax's father. I doubt he will be pleased. Farewell, friends. You may tell Belgin he is safe.~ */
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",0)
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#KarrisPlacement","GLOBAL",2)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101126 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin should be safe. Belgin is waiting for us at the inn, so we had best go find him and claim our reward.~ */ EXIT
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",0)
~ THEN REPLY #69534 /* ~Goodbye.~ */ DO ~SetGlobal("X#KarrisPlacement","GLOBAL",2)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101126 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin should be safe. Belgin is waiting for us at the inn, so we had best go find him and claim our reward.~ */ EXIT
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",1)
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#KarrisPlacement","GLOBAL",2)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101127 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin's name is cleared. It is a pity that he is so soft, but he will provide more sport yet. I might be able to get a bigger reward from him. Perhaps he might not need to know that we were quite so successful... ~ */ EXIT
  IF ~  !Dead("x#belgin")
Global("X#TiaxQuestBlackmail","GLOBAL",1)
~ THEN REPLY #69534 /* ~Goodbye.~ */ DO ~SetGlobal("X#KarrisPlacement","GLOBAL",2)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101127 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin's name is cleared. It is a pity that he is so soft, but he will provide more sport yet. I might be able to get a bigger reward from him. Perhaps he might not need to know that we were quite so successful... ~ */ EXIT
  IF ~  Dead("x#belgin")
~ THEN REPLY #101121 /* ~You will find him there. Farewell.~ */ DO ~SetGlobal("X#KarrisPlacement","GLOBAL",2)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101128 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin's name is cleared. It is a pity that he is dead. I might have been able to get a bigger reward from him.~ */ EXIT
  IF ~  Dead("x#belgin")
~ THEN REPLY #69534 /* ~Goodbye.~ */ DO ~SetGlobal("X#KarrisPlacement","GLOBAL",2)
SetGlobal("X#TiaxQuest","GLOBAL",5)
~ JOURNAL #101128 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin's name is cleared. It is a pity that he is dead. I might have been able to get a bigger reward from him.~ */ EXIT
END

IF ~~ THEN BEGIN 19 // from: 14.0 12.5 12.4 6.3 5.3
  SAY #101129 /* ~Perhaps you misunderstood. We want Belgin alive. If you have proof of his death, then give it to us. If you have information on his whereabouts, we want it. If you are wasting our time, then you will answer to my sword.~ */
  IF ~~ THEN REPLY #101118 /* ~Are you questioning my word? Many have died for much lesser offences.~ */ GOTO 10
  IF ~~ THEN REPLY #101154 /* ~Ahh, well... perhaps he is not worth protecting after all. I lied. I know the whereabouts of Belgin.~ */ GOTO 14
  IF ~~ THEN REPLY #101155 /* ~Well, that puts things in a different light. Belgin sought us out to help, because we know that Telliax is alive.~ */ GOTO 15
  IF ~~ THEN REPLY #101156 /* ~This is getting frustrating. You know, I don't think this conversation is making headway. I will discuss this with you later.~ */ GOTO 13
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BALORA~ 259
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSHART~ 254
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BVICON~ 267
  IF ~  InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BBRANW~ 258
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BEDWIN~ 313
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BDYNAH~ 281
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BMINSC~ 350
  IF ~  InParty("coran")
InMyArea("coran")
!StateCheck("coran",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BCORAN~ 367
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSKIE~ 388
  IF ~  InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BQUAYL~ 279
  IF ~  InParty("yeslick")
InMyArea("yeslick")
!StateCheck("yeslick",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BYESLI~ 252
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BKIVAN~ 308
  IF ~  InParty("kagain")
InMyArea("kagain")
!StateCheck("kagain",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BKAGAI~ 272
  IF ~  InParty("xan")
InMyArea("xan")
!StateCheck("xan",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXANNN~ 291
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BFALDO~ 334
  IF ~  InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BIMOEN~ 396
  IF ~  InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BAJANT~ 254
  IF ~  InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BELDOT~ 371
  IF ~  InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BGARRI~ 290
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXZAR~ 283
  IF ~  InParty("montaron")
InMyArea("montaron")
!StateCheck("montaron",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BMONTA~ 268
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BKHALI~ 272
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BJAHEI~ 301
  IF ~  InParty("safana")
InMyArea("safana")
!StateCheck("safana",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSAFAN~ 237
END

IF ~~ THEN BEGIN 20 // from: 16.1 15.1
  SAY #101157 /* ~I can't dispute that. Our hunt has been in vain. We'll inform Telliax's father of these tidings. Farewell, friends; you may tell Belgin he is safe.~ */
  IF ~~ THEN REPLY #101181 /* ~Farewell, Karris. May your adventures be as successful as mine have been.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
~ JOURNAL #101126 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin should be safe. Belgin is waiting for us at the inn, so we had best go find him and claim our reward.~ */ EXIT
  IF ~  !Dead("x#belgin")
~ THEN REPLY #101182 /* ~Well, this was fun. Not exactly what I had in mind, but we at least get to go find out what Belgin thinks this was worth. May your adventures be as successful as mine have been.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
~ JOURNAL #101126 /* ~Tiax and Karris

I proved to Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin should be safe. Belgin is waiting for us at the inn, so we had best go find him and claim our reward.~ */ EXIT
  IF ~~ THEN REPLY #101183 /* ~Hey, Karris, stop where you are. That was way too little reward. Perhaps you would care to empty your pockets immediately? Otherwise, we will be forced to destroy you.~ */ GOTO 10
  IF ~  Dead("x#belgin")
~ THEN REPLY #101184 /* ~Well, that went well. We kill the twerp, then clear his name, and walk away smelling like roses.~ */ DO ~SetGlobal("X#TiaxQuest","GLOBAL",5)
SetGlobal("X#KarrisPlacement","GLOBAL",2)
~ JOURNAL #101185 /* ~I told Karris's party that Tiax is alive and well. He's heading back to Amn, and Belgin would be safe, if it weren't for the detail that his new job is pushing up daisies.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSHART~ 255
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BVICON~ 268
  IF ~  InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BBRANW~ 259
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BEDWIN~ 314
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BDYNAH~ 282
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BMINSC~ 351
  IF ~  InParty("coran")
InMyArea("coran")
!StateCheck("coran",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BCORAN~ 368
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSKIE~ 389
  IF ~  InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BQUAYL~ 280
  IF ~  InParty("yeslick")
InMyArea("yeslick")
!StateCheck("yeslick",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BYESLI~ 253
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BKIVAN~ 309
  IF ~  InParty("kagain")
InMyArea("kagain")
!StateCheck("kagain",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BKAGAI~ 273
  IF ~  InParty("xan")
InMyArea("xan")
!StateCheck("xan",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXANNN~ 292
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BFALDO~ 335
  IF ~  InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BIMOEN~ 397
  IF ~  InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BAJANT~ 255
  IF ~  InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BELDOT~ 372
  IF ~  InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BGARRI~ 291
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BXZAR~ 284
  IF ~  InParty("montaron")
InMyArea("montaron")
!StateCheck("montaron",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BMONTA~ 269
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BKHALI~ 273
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BJAHEI~ 302
  IF ~  InParty("safana")
InMyArea("safana")
!StateCheck("safana",CD_STATE_NOTVALID)
~ THEN EXTERN ~_BSAFAN~ 238
END
